
public class MyMap <K, V> {

    private MyArrayList<Entry> entries;

    public MyMap() {
        entries = new MyArrayList<>();
    }

    public Integer size() {
        return entries.size();
    }

    public void clear() {
        this.entries.clear();
    }

    public boolean containsKey(K key) {
        for (int i = 0; i < entries.size(); i++) {
            if (entries.get(i).getKey().equals(key)) {
                return true;
            }
        }
        return false;
    }


    public boolean containsValue(V value) {
        for (int i = 0; i < entries.size(); i++) {
            if (entries.get(i).getValue().equals(value)) {
                return true;
            }
        }
        return false;
    }

    public Object get(K key) {
        for (int i = 0; i < entries.size(); i++) {
            if (entries.get(i).getKey().equals(key)) {
                return entries.get(i).getValue();
            }
        }
        return null;
    }


    public void put(K key, V value) {
        //add method
        for (int i = 0; i < entries.size(); i++) {
            if(entries.get(i).getKey().equals(key)) {
                entries.set(i, new Entry<>(key, value));
                break;
            }
        }
        entries.add(new Entry<>(key, value));
    }


    private  class Entry <K, V> {
        private K key;
        private V value;

        public Entry(K key, V value) {
            this.key = key;
            this.value = value;
        }

        public K getKey() {
            return key;
        }

        public V getValue() {
            return value;
        }
    }

}
